/*


	C function typing declaration header file for
	use with Lattice C ver 2.14 and The Greenleaf
	Function libraries.

	Copyright (c) 1984, 1985 Larry Jordan Associates

	ver 1.0
	8/1/85

*/


/* Lattice functions */

int atoi();
int fclose();
int fgetc();
char *fgets();
FILE *fopen();
int fputc();
int fputs();
void free();
FILE *freopen();
int fscanf();
int fseek();
long ftell();
long lseek();
int fprintf();
int clrerr();
int close();
int creat();
int kbhit();
int getch();
char *gets();
void exit();
char *malloc();
int open();
int rename();
int read();
int strlen();
int stccpy();
int strcmp();
char *strcat();
char *strcpy();
char *strncat();
char *stpchr();
char *strncpy();
int stcd_i();
int stci_d();
int sprintf();
int toupper();
int unlink();
int write();
int system();


/* Greenleaf Comm Lib functions */

int asiclear();
int asigetc();
int asiinit();
bool asikbhit();
int asiputc();
int asiquit();
int asisetup();
int asistart();
unsigned asistat();
void asrts();
void asdtr();
int asixrst();

/* Greenleaf general Lib */

void atsay();
void cls();
void curset();
void curtype();
int doschdir();
long dosfsize();
unsigned equipmen();
unsigned getcur();
int fatsay();
void putcinc();
struct TIMEDATE *sgettime(); /* needs timdate.h called before */
int strfind();
void tomono();
void tocolor();
void upscroll();
void vmode();
void vpage();
int dosfirst();
int dosnext();
long diskfree();
void cpch();
int sysint();

/* TCOMM and Xmodem functions */

long int totsec();
int toolong();
int logocom();
int oktogo();
int setscrn();
int endtc();
int hangup();
int miready();
int chrget();
int nechrg();
int chrput();
int eatbuf();
int blinepmt();
int putch24();
int printf24();
int callwt();
int setport();
int makebuff();
int porinz();
int modemcmd();
int modring();
int carrier();
int clear24();
int strmove();
long int totsec();
long int sizeread();
int toolong();
struct TIMEDATE *sgetftd(); /* needs timdate.h called before */
struct TIMEDATE *getfstam();
struct TIMEDATE *fmttime();
char *datetime();
